package de.juplo.facebook.errors;


import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.fasterxml.jackson.annotation.JsonRootName;



/**
 * This class represents an error message from the Graph-API
 *
 * @see <a href="https://developers.facebook.com/docs/graph-api/using-graph-api/v2.5#errors">Graph-API Documentation</a>
 * @author Kai Moritz
 */
@JsonRootName("error")
@JsonPropertyOrder({
  "message",
  "type",
  "code",
  "error_subcode",
  "error_user_title",
  "error_user_msg",
  "fbtrace_id"
  })
public class FacebookErrorMessage
{
  @JsonProperty("message")
  String message;
  @JsonProperty("type")
  String type;
  @JsonProperty("code")
  Integer code;
  @JsonProperty("error_subcode")
  Integer subCode;
  @JsonProperty("error_user_title")
  String userTitle;
  @JsonProperty("error_user_msg")
  String userMessage;
  @JsonProperty("fbtrace_id")
  String traceId;
}
